Bug 1015094 - Unable to build inkscape from src.rpm
Unable to build inkscape from src.rpm
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: inkscape (Show other bugs)
7.0
Unspecified Unspecified
unspecified Severity medium
: beta
: 7.0
Assigned To: Jan Horak
Desktop QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-03 08:49 EDT by Martin Simon
Modified: 2016-09-19 22:15 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-17 09:26:35 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin Simon 2013-10-03 08:49:44 EDT
Description of problem:
I'm unable to build inkscape using source data from src.rpm. We use it to execute upstream testsets (via `make check`).

There is an extra comma "," at the end of one line. In upstream I can see the extra character is removed correctly.

Version-Release number of selected component (if applicable):
inkscape-0.48.4-7.el7.x86_64

How reproducible:
100%

Steps to Reproduce:
1. get src.rpm, extract sources and after configuring execute `make`

Actual results:
...
In file included from desktop.cpp:91:0:
widgets/desktop-widget.h:242:32: error: stray ‘,’ at end of member declaration
     GtkWidget *commands_toolbox,;
                                ^
...

Expected results:
inkscape should be built correctly

Additional info:
Comment 1 Jan Horak 2013-12-17 09:26:35 EST
You should run tests on patched sources by doing 'rhpkg prep' or 'rpmbuild -bp' with srpm. Otherwise you're testing original sources and not sources which was actually used to build the package.

The wrong widgets/desktop-widget.h is in upstream tarball, see 
http://downloads.sourceforge.net/inkscape/inkscape-0.48.4.tar.gz if interested. However it is fixed in latest trunk, so . We have inkscape-0.48.4-spuriouscomma.h patch to fix this problem.

Note You need to log in before you can comment on or make changes to this bug.